<?php
require_once 'PHPUnit/Framework.php';
require_once dirname(__FILE__) . '/../src/gtAutoload.php';


class gtIfClassHasMethodTest extends PHPUnit_Framework_TestCase {

  public function testValid() {

    $clo = new gtCommandLineOptions();
    $clo->parse(array('generate-phpt.php', '-c', 'blah', '-m', 'blah'));
    $ch = new gtIfClassHasMethod();
    $this->assertTrue($ch->check($clo));
  }

  public function testNotValid() {

    $clo = new gtCommandLineOptions();
    $clo->parse(array('generate-phpt.php', '-c', 'blah'));
    $ch = new gtIfClassHasMethod();
    $this->assertFalse($ch->check($clo));
  }

  public function testNotSpecified() {

    $clo = new gtCommandLineOptions();
    $clo->parse(array('generate-phpt.php', '-b'));
    $ch = new gtIfClassHasMethod();
    $this->assertTrue($ch->check($clo));
  }

  public function testMessage() {

    $clo = new gtCommandLineOptions();
    $clo->parse(array('generate-phpt.php', '-c', 'blah'));
    $ch = new gtIfClassHasMethod();
    $this->assertEquals($ch->getMessage(), gtText::get('methodNotSpecified'));
  }
}

?>